/*****************************************************************************
 *    cset computes transition rates by reference to the danby-flower rates  *
 *    or by reference to the extrapolation matrix rat for dv=0 transitions   *
 *    or by computing due to the reference below for dv=1                    *
 *****************************************************************************/

#include "defmain.h"

void cset(T_kin)
     double T_kin;
{
  extern LEVELS lev;
  extern double collrat[COLEV][COLEV][NTEMP+1];
  extern TRANS tr[NLEV][NLEV];
  extern RATES rat;
  extern int nmax;
  int n=3;
  double freq, textra, gi, gf,rt,re,y[NTEMP+1],rate;
  static double temp[] = {0., 10., 20. , 40., 60, 100., 250.};
  int i_i, i_f, vi, ji, li,  vf, jf, lf, dv, dj, dl, t;
  int i, f, index=2, abs();
  double polint(),dif,dift,exp(),log();

  printf("\n setting collision rates...\n\n\n");
  dif=fabs(T_kin-temp[2]);
  for (t=3;t<=NTEMP-1;t++)
    if ((dift=fabs(T_kin-temp[t])) < dif) {
      index=t;
      dif=dift;
    }
  for (i=0; i<nmax; i++)
    for (f=0; f<i; f++){
      vi = lev.num[i].v; ji = lev.num[i].j; 
      vf = lev.num[f].v; jf = lev.num[f].j; 
      freq = tr[i][f].freq;
      gi = GI;
      gf = GF;
      dv = abs(vi - vf); dj = abs(ji-jf); 
      i_i = lev.ind[0][ji];
      i_f = lev.ind[0][jf];
      if (dv == 0){
        if (T_kin < 300) {
          for (t=index-1;t<=index+1;t++) {
            rt = collrat[i_i][i_f][t];
            re = rat.coll[dv][dj].ext[t];
            if (rt > 0)
              y[t] = log(rt);
            else if (re > 0)
              y[t] = log(re);
            else
              y[t] = log(1e-18);
            /*  see H2-OH in Flower, mol. col. pr in is. cl. */
          }
          rate = exp(polint(temp+index-2,y+index-2,n,T_kin));
        } else {
          if (dj == 1 || dj == 2)
            rate = 1.e-10;
          else
            rate = 0.;
          if (dj == 1 && ji == 1) rate = 0.5*rate;
          if (dj == 2 && ji == 2) rate = 0.5*rate;
        }
      } else {                  /* Stutzki HCN(9-8) */
        if (dj == 0)
          rate = 7.5e-12;
        else if (dj <= 3)
          rate = 7.5e-12/7.0;
        else 
          rate = 0.0;
      }
      tr[i][f].C = rate;
      tr[f][i].C = rate * gi/gf *exp(-cgk*freq/T_kin);  
      /*
         printf("%d %d   %d %d  %e %e\n", vi, ji, vf, jf,
         tr[i][f].C, tr[f][i].C);
         */
    }
}
