C**********************************************************************
      subroutine getdust
C**********************************************************************
C
C     reads dust parameters from disk
C
      include dust.inc
C
      character*80 dustfile
C
      write(*,*) ' Dust parameters file ? '
      read(*,10) dustfile
10    format(A)
C
      open(UNIT=1, FILE=dustfile, STATUS='OLD')
      read(1,*) Qdust0
      read(1,*) wavdust0
      read(1,*) slopedust
      read(1,*) adust
      read(1,*) rhodust
      read(1,*) Rgasdust
      read(1,*) gasmu
      close(1)
      return
      end
C
C**********************************************************************
      real*8 function sigmadust(wavlen)
C**********************************************************************
C
C     Calculates dust cross-section (in cm-2) per H2 molecule
C
      real*8 wavelen                    ! wavelength in microns
C
      include 'dust.inc'
C
      real*8 Qdust, result
C
      parameter (amicron=1.E-4)         ! to convert micron to cm
C
      Qdust = Qdust0*(wavdust0/wavlen)**slopedust    ! efficiency
      result = 3*gasmu*Qdust/(4.*adust*amicron*rhodust*Rgasdust)
      sigmadust = result
      return
      end
C
