function weiss_both_h2o_plot
z = 3.9124 ;
ph2oc = import_spec('weiss_cool_component.p-h2o.txt') ;
oh2oc = import_spec('weiss_cool_component.o-h2o.txt') ;
h2oc=join_spec(oh2oc,ph2oc) ;
ph2oh = import_spec('weiss_hot_component.p-h2o.txt') ;
oh2oh = import_spec('weiss_hot_component.o-h2o.txt') ;
h2oh=join_spec(oh2oh,ph2oh) ;
figure ;
set(gca,'FontName','Helvetica')
set(gca,'FontSize',14)
plot(h2oh.freq/1000/(1+z),h2oh.TA,'r-') ;
xlabel('Frequency (GHz)') ;
ylabel('Antenna Temperature (K)') ;
title('APM 08279 redshifted H_20: Weiss et al. warm+cold components') ;
hold on;
plot(h2oc.freq/1000/(1+z),h2oc.TA,'b-') ;
axis([180 320 0 35]) ;
legend('Warm Component', 'Cold component', 2)
print -depsc -r600 weiss_both_components.h2o.ps
