      parameter(MAXIMPACT=MAXGRID+1)         ! leave room for r=0
      parameter(MAXOBS=20)                   ! max. number of observations
C
      real*4 Jtot(MAXGRID, MAXTRAN)          ! total avg. intensity
      real*4 Jeff(MAXGRID, MAXTRAN)          ! corrected avg. intensity
      real*4 lamstar(MAXGRID, MAXTRAN)       ! diagonal part of lambda
      real*4 fracpop(MAXGRID, MAXLEV)        ! fractional populations
      real*4 oldpop(MAXGRID, MAXLEV)         ! frac. pop. from prev. iter.
C
      real*8 impact(MAXIMPACT)              ! array of impact parameters
      integer nimpact                        ! number of impacts
      integer minrad(MAXIMPACT)              ! min. radius vs. impact
      integer maximp(MAXGRID)                ! max. impact vs. radius
      real*4 angcos(MAXIMPACT,MAXGRID)       ! cosine theta
      real*4 angwgt(MAXIMPACT,MAXGRID)       ! weights for angular integ.
      real*4 dshell(MAXIMPACT,MAXGRID)       ! pathlengths thru shells
C
      real*4 xinteg(2*MAXVEL)                ! integration abscissas and
      real*4 winteg(2*MAXVEL)                ! weights for Gauss-hermite
C
      integer numobs                         ! number of observations
      integer transnum(MAXOBS)               ! transition number
      real*8 beamsize(MAXOBS)                ! beam FWHM, in rscalecm units
      real*8 beamoffs(MAXOBS)                ! beam offset from cloud center
C
      real*8 velmin, velmax, velstep         ! velocity grid
      real*4 velsave(MAXVEL)
C
      real*4 antemp(MAXIMPACT, MAXVEL)       ! antenna temp vs impact
C
      common/transfer/
     +                  Jtot,
     +                  Jeff,
     +               lamstar,
     +               fracpop,
     +                oldpop,
     +                impact,
     +               nimpact,
     +                minrad,
     +                maximp,
     +                angwgt,
     +                dshell,
     +                xinteg,
     +                winteg,
     +                angcos,
     +                numobs,
     +              transnum,
     +              beamsize,
     +              beamoffs,
     +                velmin,
     +                velmax,
     +               velstep,
     +               velsave,
     +                antemp
